<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create New Request · Reployee</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="stylesheet" href="../styles/styles.css">
</head>
<body>
    <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container-xxl">
            <a class="navbar-brand" href="#">
                <img src="../images/Reployee_Logo.jpg" alt="" width="30" height="30" class="d-inline-block align-top">
                <strong>Reployee</strong>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav">
                <li class="nav-item">
                  <a class="nav-link" href="employee_home.html">Employee Dashboard</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link active" aria-current="page">Create New Request</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="view_pending.html">View Pending Requests</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="view_resolved.html">View Resolved Requests</a>
                </li>
              </ul>

              <div class="dropdown ms-auto">
                <a class="dropdown-toggle text-decoration-none" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                  Guest
                </a>
                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                  <!-- <li><a class="dropdown-item" href="#">Profile</a></li>
                  <li><hr class="dropdown-divider"></li> -->
                  <li><button class="dropdown-item" type="button" id="logout-btn">Logout</button></li>
                </ul>
              </div>
            </div>
        </div>
    </nav>

    <div class="container-xxl">
        <div class="row my-5">
            <div class="col">
                <h1 class="display-6 text-center text-white">Create New Request</h1>
            </div>
        </div>

        <div class="row mb-5 align-items-center justify-content-center" id="success-card" hidden>
            <div class="col-10 col-sm-8 col-md-6 col-lg-4">
                <div class="card border-success">
                    <h4 class="card-header bg-transparent border-success text-success text-center">Request Submitted</h4>
                    <div class="card-body">
                        <p class="card-title text-center my-4">Please allow 3-5 business days for your request to be reviewed.</p>
                        <div class="d-grid gap-2 col-6 mb-4 mx-auto"> 
                            <a class="btn btn-success" href="employee_home.html">Back to Dashboard</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mb-5 align-items-center justify-content-center" id="failure-card" hidden>
            <div class="col-10 col-sm-8 col-md-6 col-lg-4">
                <div class="card border-danger">
                    <h4 class="card-header bg-transparent border-danger text-danger text-center">Request Failed</h4>
                    <div class="card-body">
                        <p class="card-title text-center my-4">Something went wrong while trying to submit your request, please try again.</p>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mb-5 align-items-center justify-content-center" id="form-card">
            <div class="col-10 col-sm-8 col-md-6 col-lg-4">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title text-center my-4">Expense Reimbursement Request Form</h4>
                        <p class="card-text text-center mb-4">Please fill out and submit this form.</p>
                        <form id="request-submit-form" onsubmit='goTo(); return false'>
                            <div class="mb-5">
                                <label for="purchase-date" class="form-label">Purchase Date</label>
                                <input type="date" class="form-control" id="purchase-date" required>
                            </div>
                            <div class="mb-5">
                                <label for="description" class="form-label">Description</label>
                                <input type="text" class="form-control" id="description" required>
                            </div>
                            <div class="mb-5">
                                <label for="total-cost" class="form-label">Total Cost</label>
                                <div class="input-group">
                                    <span class="input-group-text">$</span>
                                    <input type="number" class="form-control" id="total-cost" step="0.01" min="0.01" max="999999.99" required>
                                </div>
                            </div>
                            <div class="d-grid gap-2 mb-4"> 
                                <button type="button" class="btn btn-success" id="request-submit-btn">Submit</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
    <script src="../scripts/ajax_requests.js"></script>
    <script src="../scripts/redirect_to_login.js"></script>
    <script src="../scripts/submit_request.js"></script>
    <script src="../scripts/logout.js"></script>
</body>
</html>